{#- For name header -#}
#ifndef {{ name|upper }}_LAYER_H
#define {{ name|upper }}_LAYER_H

{# For layer configuration -#}
#define {{ name|upper }}_NB_OUTPUTS {{ output_dims[0] }}
#define {{ name|upper }}_OUTPUTS_HEIGHT {{ output_dims[1] }}
#define {{ name|upper }}_OUTPUTS_WIDTH {{ output_dims[2] }}
static const {{ beta_type }} {{ name|upper }}_BETAS[] = { {%- for beta in betas %}{{ beta }}, {% endfor -%} };

#endif /* {{ name|upper }}_LAYER_H */
